Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.multiring.testing
Class MultiringRegrTest.MultiringTestMessage

    java.lang.Object
      rice.p2p.multiring.testing.MultiringRegrTest.MultiringTestMessage

All Implemented Interfaces:
  Message, java.io.Serializable

Enclosing class:
  MultiringRegrTest

public static class MultiringRegrTest.MultiringTestMessage
extends java.lang.Object
implements Message

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`Id` | `source` DESCRIBE THE FIELD

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`MultiringRegrTest.MultiringTestMessage(Id source)` Constructor for MultiringTestMessage.

Method Summary
`int` | `getPriority()` Gets the Priority attribute of the MultiringTestMessage object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    public Id source

  DESCRIBE THE FIELD

Constructor Detail

### MultiringRegrTest.MultiringTestMessage

    public MultiringRegrTest.MultiringTestMessage(Id source)

  Constructor for MultiringTestMessage.

Parameters:
  `source` - DESCRIBE THE PARAMETER

Method Detail

### getPriority

    public int getPriority()

  Gets the Priority attribute of the MultiringTestMessage object

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    The Priority value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.